---
title: ISBS-Library &ndash; License and Acknowledgments
---

ISBS-Library License
====================

With the exceptions noted below, this library is released under the
following license:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Copyright (c) 2010, 2020 Stefan Reiser <s.reiser@tu-braunschweig.de>,
Copyright (c) 2010, 2020 ISBS - Institut für Straßenwesen, Technische
Universität Braunschweig.

Permission to use, copy, modify, and distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Third-Party Software
====================

The following third-party software is used in this library.


Package `jargs.gnu`
-------------------

This package contains the "JArgs command-line argument parsing library".

**Source:** <http://jargs.sourceforge.net/>.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Copyright (c) 2001-2003 Steve Purcell.
Copyright (c) 2002      Vidar Holen.
Copyright (c) 2002      Michal Ceresna.
Copyright (c) 2005      Ewan Mellor.

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met: Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer. Redistributions in
binary form must reproduce the above copyright notice, this list of
conditions and the following disclaimer in the documentation and/or other
materials provided with the distribution. Neither the name of the copyright
holder nor the names of its contributors may be used to endorse or promote
products derived from this software without specific prior written
permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Package `Jama`
--------------

This package contains a modified version of "JAMA: A Java Matrix Package",
Version 1.0.3 (November 9, 2012).

**Original Source:** <https://math.nist.gov/javanumerics/jama/>.

**Authors:** Joe Hicklin, Cleve Moler, Peter Webb from _The MathWorks_,
and Ronald F. Boisvert, Bruce Miller, Roldan Pozo, Karin Remington from
_NIST_.

**Copyright Notice from the Website:**

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This software is a cooperative product of The MathWorks and the National
Institute of Standards and Technology (NIST) which has been released to the
public domain. Neither The MathWorks nor NIST assumes any responsibility
whatsoever for its use by other parties, and makes no guarantees, expressed
or implied, about its quality, reliability, or any other characteristic.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Package `netlib.slatec` {#slatec}
---------------------------------

This package contains parts of "SLATEC".

**Source:** <http://www.netlib.org/slatec/>.

**Reference:**
_SLATEC Common Mathematical Library, Version 4.1, July 1993:
A comprehensive software library containing over 1400 general purpose
mathematical and statistical routines written in Fortran 77._
Energy Science and Technology Software Center, U.S. Department of
Energy.

~~~
The Library is in the public domain and distributed by the Energy Science
and Technology Software Center.

        Energy Science and Technology Software Center
        P.O. Box 1020
        Oak Ridge, TN  37831

        Telephone  615-576-2606
        E-mail  estsc%a1.adonis.mrouter@zeus.osti.gov
~~~
(Quoted from <http://www.netlib.org/slatec/guide>, SECTION 4.)


Package `netlib.specfun`
------------------------

This package contains parts of "SPECFUN".

**Source:** <http://www.netlib.org/specfun/>.

**Reference:**
Cody, W. J. "SPECFUN &ndash; A Portable Special Function Package".
_New Computing Environments: Microcomputers In Large-Scale Computing_.
Arthur Wouk (ed.). Philadelphia: Society for Industrial and Applied
Mathematics, 1987. 1--12.

On p. 10, the author states that the software ...

> "... will soon be available on diskette from the National Energy
> Software Center at Argonne National Laboratory. Because all these
> programs are in the public domain, they will also be available through
> other sources such as Netlib distribution over Arpanet/CSNET."


Package `netlib.quadpack`
-------------------------

This package contains parts of "QUADPACK".

**Source:** <http://www.netlib.org/quadpack/>,
            <http://www.netlib.org/slatec/src>.

**Reference:**
R. Piessens, E. de Doncker-Kapenger, C. Überhuber, D. Kahaner.
_QUADPACK, A Subroutine Package for Automatic Integration_.
Springer: 1983.

QUADPACK is part of the [SLATEC library](#slatec).


Other Components
-----------------

Some Swing-related components have been -- as denoted in the
corresponding source files -- derived from examples found on
Rob Camick's and Darryl Burke's
[Java Tips Weblog](https://tips4java.wordpress.com).
The authors state:

> "We assume no responsibility for the code. You are free to use and/or
> modify and/or distribute any or all code posted on the Java Tips
> Weblog without restriction." (<https://tips4java.wordpress.com/about/>.)
